


#include <glib-object.h>
#include "pgmenumtypes.h"

/* enumerations from "./pgmcommon.h" */
#include "./pgmcommon.h"
static const GEnumValue _pgm_error_values[] = {
  { PGM_ERROR_X, "PGM_ERROR_X", "x" },
  { PGM_ERROR_OK, "PGM_ERROR_OK", "ok" },
  { 0, NULL, NULL }
};

GType
pgm_error_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmError", _pgm_error_values);

  return type;
}


/* enumerations from "./pgmdrawable.h" */
#include "./pgmdrawable.h"
static const GEnumValue _pgm_drawable_layer_values[] = {
  { PGM_DRAWABLE_UNBOUND, "PGM_DRAWABLE_UNBOUND", "unbound" },
  { PGM_DRAWABLE_FAR, "PGM_DRAWABLE_FAR", "far" },
  { PGM_DRAWABLE_MIDDLE, "PGM_DRAWABLE_MIDDLE", "middle" },
  { PGM_DRAWABLE_NEAR, "PGM_DRAWABLE_NEAR", "near" },
  { 0, NULL, NULL }
};

GType
pgm_drawable_layer_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmDrawableLayer", _pgm_drawable_layer_values);

  return type;
}

static const GEnumValue _pgm_drawable_property_values[] = {
  { PGM_DRAWABLE_VISIBILITY, "PGM_DRAWABLE_VISIBILITY", "drawable-visibility" },
  { PGM_DRAWABLE_SIZE, "PGM_DRAWABLE_SIZE", "drawable-size" },
  { PGM_DRAWABLE_POSITION, "PGM_DRAWABLE_POSITION", "drawable-position" },
  { PGM_DRAWABLE_TRANSFORMATION_MATRIX, "PGM_DRAWABLE_TRANSFORMATION_MATRIX", "drawable-transformation-matrix" },
  { PGM_DRAWABLE_BG_COLOR, "PGM_DRAWABLE_BG_COLOR", "drawable-bg-color" },
  { PGM_DRAWABLE_FG_COLOR, "PGM_DRAWABLE_FG_COLOR", "drawable-fg-color" },
  { PGM_DRAWABLE_OPACITY, "PGM_DRAWABLE_OPACITY", "drawable-opacity" },
  { PGM_DRAWABLE_REGENERATE, "PGM_DRAWABLE_REGENERATE", "drawable-regenerate" },
  { PGM_IMAGE_DATA_FILE, "PGM_IMAGE_DATA_FILE", "image-data-file" },
  { PGM_IMAGE_DATA_BUFFER, "PGM_IMAGE_DATA_BUFFER", "image-data-buffer" },
  { PGM_IMAGE_DATA_GST_BUFFER, "PGM_IMAGE_DATA_GST_BUFFER", "image-data-gst-buffer" },
  { PGM_IMAGE_DATA_PIXBUF, "PGM_IMAGE_DATA_PIXBUF", "image-data-pixbuf" },
  { PGM_IMAGE_DATA_SYSTEM_BUFFER, "PGM_IMAGE_DATA_SYSTEM_BUFFER", "image-data-system-buffer" },
  { PGM_IMAGE_DATA_IMAGE, "PGM_IMAGE_DATA_IMAGE", "image-data-image" },
  { PGM_IMAGE_DATA_EMPTY, "PGM_IMAGE_DATA_EMPTY", "image-data-empty" },
  { PGM_IMAGE_SYSTEM_BUFFER_CONTENT, "PGM_IMAGE_SYSTEM_BUFFER_CONTENT", "image-system-buffer-content" },
  { PGM_IMAGE_MAPPING_MATRIX, "PGM_IMAGE_MAPPING_MATRIX", "image-mapping-matrix" },
  { PGM_IMAGE_ALIGNMENT, "PGM_IMAGE_ALIGNMENT", "image-alignment" },
  { PGM_IMAGE_LAYOUT, "PGM_IMAGE_LAYOUT", "image-layout" },
  { PGM_IMAGE_INTERP, "PGM_IMAGE_INTERP", "image-interp" },
  { PGM_IMAGE_WRAPPING, "PGM_IMAGE_WRAPPING", "image-wrapping" },
  { PGM_IMAGE_ASPECT_RATIO, "PGM_IMAGE_ASPECT_RATIO", "image-aspect-ratio" },
  { PGM_IMAGE_BORDER_WIDTH, "PGM_IMAGE_BORDER_WIDTH", "image-border-width" },
  { PGM_IMAGE_BORDER_INNER_COLOR, "PGM_IMAGE_BORDER_INNER_COLOR", "image-border-inner-color" },
  { PGM_IMAGE_BORDER_OUTER_COLOR, "PGM_IMAGE_BORDER_OUTER_COLOR", "image-border-outer-color" },
  { PGM_TEXT_LABEL, "PGM_TEXT_LABEL", "text-label" },
  { PGM_TEXT_MARKUP, "PGM_TEXT_MARKUP", "text-markup" },
  { PGM_TEXT_FONT_FAMILY, "PGM_TEXT_FONT_FAMILY", "text-font-family" },
  { PGM_TEXT_HEIGHT, "PGM_TEXT_HEIGHT", "text-height" },
  { PGM_TEXT_ELLIPSIZE, "PGM_TEXT_ELLIPSIZE", "text-ellipsize" },
  { PGM_TEXT_JUSTIFY, "PGM_TEXT_JUSTIFY", "text-justify" },
  { PGM_TEXT_ALIGNMENT, "PGM_TEXT_ALIGNMENT", "text-alignment" },
  { PGM_TEXT_WRAP, "PGM_TEXT_WRAP", "text-wrap" },
  { PGM_TEXT_GRAVITY, "PGM_TEXT_GRAVITY", "text-gravity" },
  { PGM_TEXT_STRETCH, "PGM_TEXT_STRETCH", "text-stretch" },
  { PGM_TEXT_STYLE, "PGM_TEXT_STYLE", "text-style" },
  { PGM_TEXT_VARIANT, "PGM_TEXT_VARIANT", "text-variant" },
  { PGM_TEXT_WEIGHT, "PGM_TEXT_WEIGHT", "text-weight" },
  { PGM_TEXT_MULTILINE, "PGM_TEXT_MULTILINE", "text-multiline" },
  { PGM_TEXT_LINE_SPACING, "PGM_TEXT_LINE_SPACING", "text-line-spacing" },
  { PGM_TEXT_COLOR, "PGM_TEXT_COLOR", "text-color" },
  { PGM_TEXT_OUTLINE_COLOR, "PGM_TEXT_OUTLINE_COLOR", "text-outline-color" },
  { PGM_TEXT_OUTLINE_WIDTH, "PGM_TEXT_OUTLINE_WIDTH", "text-outline-width" },
  { PGM_TEXT_CAST_SHADOW, "PGM_TEXT_CAST_SHADOW", "text-cast-shadow" },
  { PGM_TEXT_SHADOW_POSITION, "PGM_TEXT_SHADOW_POSITION", "text-shadow-position" },
  { PGM_TEXT_SHADOW_COLOR, "PGM_TEXT_SHADOW_COLOR", "text-shadow-color" },
  { 0, NULL, NULL }
};

GType
pgm_drawable_property_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmDrawableProperty", _pgm_drawable_property_values);

  return type;
}

static const GFlagsValue _pgm_drawable_flags_values[] = {
  { PGM_DRAWABLE_FLAG_UNPARENTING, "PGM_DRAWABLE_FLAG_UNPARENTING", "unparenting" },
  { PGM_DRAWABLE_FLAG_VISIBLE, "PGM_DRAWABLE_FLAG_VISIBLE", "visible" },
  { PGM_DRAWABLE_FLAG_LAST, "PGM_DRAWABLE_FLAG_LAST", "last" },
  { 0, NULL, NULL }
};

GType
pgm_drawable_flags_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmDrawableFlags", _pgm_drawable_flags_values);

  return type;
}

static const GFlagsValue _pgm_drawable_picking_signal_values[] = {
  { PGM_DRAWABLE_PICKING_PRESSED, "PGM_DRAWABLE_PICKING_PRESSED", "pressed" },
  { PGM_DRAWABLE_PICKING_PRESSURED, "PGM_DRAWABLE_PICKING_PRESSURED", "pressured" },
  { PGM_DRAWABLE_PICKING_RELEASED, "PGM_DRAWABLE_PICKING_RELEASED", "released" },
  { PGM_DRAWABLE_PICKING_CLICKED, "PGM_DRAWABLE_PICKING_CLICKED", "clicked" },
  { PGM_DRAWABLE_PICKING_DOUBLE_CLICKED, "PGM_DRAWABLE_PICKING_DOUBLE_CLICKED", "double-clicked" },
  { PGM_DRAWABLE_PICKING_DRAG_BEGIN, "PGM_DRAWABLE_PICKING_DRAG_BEGIN", "drag-begin" },
  { PGM_DRAWABLE_PICKING_DRAG_MOTION, "PGM_DRAWABLE_PICKING_DRAG_MOTION", "drag-motion" },
  { PGM_DRAWABLE_PICKING_DRAG_END, "PGM_DRAWABLE_PICKING_DRAG_END", "drag-end" },
  { PGM_DRAWABLE_PICKING_ENTERED, "PGM_DRAWABLE_PICKING_ENTERED", "entered" },
  { PGM_DRAWABLE_PICKING_SCROLLED, "PGM_DRAWABLE_PICKING_SCROLLED", "scrolled" },
  { PGM_DRAWABLE_PICKING_MOTION, "PGM_DRAWABLE_PICKING_MOTION", "motion" },
  { PGM_DRAWABLE_PICKING_MASK, "PGM_DRAWABLE_PICKING_MASK", "mask" },
  { 0, NULL, NULL }
};

GType
pgm_drawable_picking_signal_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmDrawablePickingSignal", _pgm_drawable_picking_signal_values);

  return type;
}


/* enumerations from "./pgmevents.h" */
#include "./pgmevents.h"
static const GEnumValue _pgm_event_type_values[] = {
  { PGM_NOTHING, "PGM_NOTHING", "nothing" },
  { PGM_MOTION_NOTIFY, "PGM_MOTION_NOTIFY", "motion-notify" },
  { PGM_BUTTON_PRESS, "PGM_BUTTON_PRESS", "button-press" },
  { PGM_DOUBLE_BUTTON_PRESS, "PGM_DOUBLE_BUTTON_PRESS", "double-button-press" },
  { PGM_TRIPLE_BUTTON_PRESS, "PGM_TRIPLE_BUTTON_PRESS", "triple-button-press" },
  { PGM_BUTTON_PRESSURE, "PGM_BUTTON_PRESSURE", "button-pressure" },
  { PGM_BUTTON_RELEASE, "PGM_BUTTON_RELEASE", "button-release" },
  { PGM_KEY_PRESS, "PGM_KEY_PRESS", "key-press" },
  { PGM_KEY_RELEASE, "PGM_KEY_RELEASE", "key-release" },
  { PGM_EXPOSE, "PGM_EXPOSE", "expose" },
  { PGM_CONFIGURE, "PGM_CONFIGURE", "configure" },
  { PGM_DRAG_MOTION, "PGM_DRAG_MOTION", "drag-motion" },
  { PGM_DRAG_DROP, "PGM_DRAG_DROP", "drag-drop" },
  { PGM_DRAG_LEAVE, "PGM_DRAG_LEAVE", "drag-leave" },
  { PGM_SCROLL, "PGM_SCROLL", "scroll" },
  { PGM_STATE, "PGM_STATE", "state" },
  { PGM_DELETE, "PGM_DELETE", "delete" },
  { PGM_WIN32_MESSAGE, "PGM_WIN32_MESSAGE", "win32-message" },
  { 0, NULL, NULL }
};

GType
pgm_event_type_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmEventType", _pgm_event_type_values);

  return type;
}

static const GFlagsValue _pgm_modifier_type_values[] = {
  { PGM_SHIFT_MASK, "PGM_SHIFT_MASK", "shift-mask" },
  { PGM_CAPSLOCK_MASK, "PGM_CAPSLOCK_MASK", "capslock-mask" },
  { PGM_CONTROL_MASK, "PGM_CONTROL_MASK", "control-mask" },
  { PGM_ALT_MASK, "PGM_ALT_MASK", "alt-mask" },
  { PGM_NUMLOCK_MASK, "PGM_NUMLOCK_MASK", "numlock-mask" },
  { 0, NULL, NULL }
};

GType
pgm_modifier_type_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmModifierType", _pgm_modifier_type_values);

  return type;
}

static const GFlagsValue _pgm_button_type_values[] = {
  { PGM_BUTTON_LEFT, "PGM_BUTTON_LEFT", "left" },
  { PGM_BUTTON_MIDDLE, "PGM_BUTTON_MIDDLE", "middle" },
  { PGM_BUTTON_RIGHT, "PGM_BUTTON_RIGHT", "right" },
  { 0, NULL, NULL }
};

GType
pgm_button_type_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmButtonType", _pgm_button_type_values);

  return type;
}

static const GEnumValue _pgm_scroll_direction_values[] = {
  { PGM_SCROLL_UP, "PGM_SCROLL_UP", "up" },
  { PGM_SCROLL_DOWN, "PGM_SCROLL_DOWN", "down" },
  { 0, NULL, NULL }
};

GType
pgm_scroll_direction_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmScrollDirection", _pgm_scroll_direction_values);

  return type;
}

static const GFlagsValue _pgm_viewport_state_values[] = {
  { PGM_VIEWPORT_ICONIFIED, "PGM_VIEWPORT_ICONIFIED", "iconified" },
  { 0, NULL, NULL }
};

GType
pgm_viewport_state_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmViewportState", _pgm_viewport_state_values);

  return type;
}


/* enumerations from "./pgmimage.h" */
#include "./pgmimage.h"
static const GFlagsValue _pgm_image_alignment_values[] = {
  { PGM_IMAGE_LEFT, "PGM_IMAGE_LEFT", "left" },
  { PGM_IMAGE_CENTER, "PGM_IMAGE_CENTER", "center" },
  { PGM_IMAGE_RIGHT, "PGM_IMAGE_RIGHT", "right" },
  { PGM_IMAGE_TOP, "PGM_IMAGE_TOP", "top" },
  { PGM_IMAGE_BOTTOM, "PGM_IMAGE_BOTTOM", "bottom" },
  { PGM_IMAGE_TOP_LEFT, "PGM_IMAGE_TOP_LEFT", "top-left" },
  { PGM_IMAGE_TOP_CENTER, "PGM_IMAGE_TOP_CENTER", "top-center" },
  { PGM_IMAGE_TOP_RIGHT, "PGM_IMAGE_TOP_RIGHT", "top-right" },
  { PGM_IMAGE_BOTTOM_LEFT, "PGM_IMAGE_BOTTOM_LEFT", "bottom-left" },
  { PGM_IMAGE_BOTTOM_CENTER, "PGM_IMAGE_BOTTOM_CENTER", "bottom-center" },
  { PGM_IMAGE_BOTTOM_RIGHT, "PGM_IMAGE_BOTTOM_RIGHT", "bottom-right" },
  { 0, NULL, NULL }
};

GType
pgm_image_alignment_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmImageAlignment", _pgm_image_alignment_values);

  return type;
}

static const GEnumValue _pgm_image_layout_type_values[] = {
  { PGM_IMAGE_FILLED, "PGM_IMAGE_FILLED", "filled" },
  { PGM_IMAGE_SCALED, "PGM_IMAGE_SCALED", "scaled" },
  { PGM_IMAGE_ZOOMED, "PGM_IMAGE_ZOOMED", "zoomed" },
  { PGM_IMAGE_CENTERED, "PGM_IMAGE_CENTERED", "centered" },
  { PGM_IMAGE_TILED, "PGM_IMAGE_TILED", "tiled" },
  { 0, NULL, NULL }
};

GType
pgm_image_layout_type_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmImageLayoutType", _pgm_image_layout_type_values);

  return type;
}

static const GEnumValue _pgm_image_interp_type_values[] = {
  { PGM_IMAGE_NEAREST, "PGM_IMAGE_NEAREST", "nearest" },
  { PGM_IMAGE_BILINEAR, "PGM_IMAGE_BILINEAR", "bilinear" },
  { 0, NULL, NULL }
};

GType
pgm_image_interp_type_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmImageInterpType", _pgm_image_interp_type_values);

  return type;
}

static const GEnumValue _pgm_image_wrapping_values[] = {
  { PGM_IMAGE_CLAMP, "PGM_IMAGE_CLAMP", "clamp" },
  { PGM_IMAGE_TRANSPARENT, "PGM_IMAGE_TRANSPARENT", "transparent" },
  { PGM_IMAGE_REPEAT, "PGM_IMAGE_REPEAT", "repeat" },
  { 0, NULL, NULL }
};

GType
pgm_image_wrapping_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmImageWrapping", _pgm_image_wrapping_values);

  return type;
}

static const GFlagsValue _pgm_image_pixel_format_values[] = {
  { PGM_IMAGE_RGB, "PGM_IMAGE_RGB", "rgb" },
  { PGM_IMAGE_BGR, "PGM_IMAGE_BGR", "bgr" },
  { PGM_IMAGE_RGBA, "PGM_IMAGE_RGBA", "rgba" },
  { PGM_IMAGE_BGRA, "PGM_IMAGE_BGRA", "bgra" },
  { PGM_IMAGE_I420, "PGM_IMAGE_I420", "i420" },
  { PGM_IMAGE_YV12, "PGM_IMAGE_YV12", "yv12" },
  { PGM_IMAGE_UYVY, "PGM_IMAGE_UYVY", "uyvy" },
  { PGM_IMAGE_YUYV, "PGM_IMAGE_YUYV", "yuyv" },
  { 0, NULL, NULL }
};

GType
pgm_image_pixel_format_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmImagePixelFormat", _pgm_image_pixel_format_values);

  return type;
}

static const GEnumValue _pgm_image_storage_type_values[] = {
  { PGM_IMAGE_EMPTY, "PGM_IMAGE_EMPTY", "empty" },
  { PGM_IMAGE_FILE, "PGM_IMAGE_FILE", "file" },
  { PGM_IMAGE_BUFFER, "PGM_IMAGE_BUFFER", "buffer" },
  { PGM_IMAGE_GST_BUFFER, "PGM_IMAGE_GST_BUFFER", "gst-buffer" },
  { PGM_IMAGE_PIXBUF, "PGM_IMAGE_PIXBUF", "pixbuf" },
  { PGM_IMAGE_IMAGE, "PGM_IMAGE_IMAGE", "image" },
  { PGM_IMAGE_SYSTEM_BUFFER, "PGM_IMAGE_SYSTEM_BUFFER", "system-buffer" },
  { 0, NULL, NULL }
};

GType
pgm_image_storage_type_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmImageStorageType", _pgm_image_storage_type_values);

  return type;
}


/* enumerations from "./pgmtext.h" */
#include "./pgmtext.h"
static const GEnumValue _pgm_text_ellipsize_values[] = {
  { PGM_TEXT_ELLIPSIZE_NONE, "PGM_TEXT_ELLIPSIZE_NONE", "none" },
  { PGM_TEXT_ELLIPSIZE_START, "PGM_TEXT_ELLIPSIZE_START", "start" },
  { PGM_TEXT_ELLIPSIZE_MIDDLE, "PGM_TEXT_ELLIPSIZE_MIDDLE", "middle" },
  { PGM_TEXT_ELLIPSIZE_END, "PGM_TEXT_ELLIPSIZE_END", "end" },
  { 0, NULL, NULL }
};

GType
pgm_text_ellipsize_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextEllipsize", _pgm_text_ellipsize_values);

  return type;
}

static const GEnumValue _pgm_text_alignment_values[] = {
  { PGM_TEXT_ALIGN_LEFT, "PGM_TEXT_ALIGN_LEFT", "left" },
  { PGM_TEXT_ALIGN_CENTER, "PGM_TEXT_ALIGN_CENTER", "center" },
  { PGM_TEXT_ALIGN_RIGHT, "PGM_TEXT_ALIGN_RIGHT", "right" },
  { 0, NULL, NULL }
};

GType
pgm_text_alignment_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextAlignment", _pgm_text_alignment_values);

  return type;
}

static const GEnumValue _pgm_text_wrap_values[] = {
  { PGM_TEXT_WRAP_WORD, "PGM_TEXT_WRAP_WORD", "word" },
  { PGM_TEXT_WRAP_CHAR, "PGM_TEXT_WRAP_CHAR", "char" },
  { PGM_TEXT_WRAP_WORD_CHAR, "PGM_TEXT_WRAP_WORD_CHAR", "word-char" },
  { 0, NULL, NULL }
};

GType
pgm_text_wrap_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextWrap", _pgm_text_wrap_values);

  return type;
}

static const GEnumValue _pgm_text_gravity_values[] = {
  { PGM_TEXT_GRAVITY_SOUTH, "PGM_TEXT_GRAVITY_SOUTH", "south" },
  { PGM_TEXT_GRAVITY_EAST, "PGM_TEXT_GRAVITY_EAST", "east" },
  { PGM_TEXT_GRAVITY_NORTH, "PGM_TEXT_GRAVITY_NORTH", "north" },
  { PGM_TEXT_GRAVITY_WEST, "PGM_TEXT_GRAVITY_WEST", "west" },
  { PGM_TEXT_GRAVITY_AUTO, "PGM_TEXT_GRAVITY_AUTO", "auto" },
  { 0, NULL, NULL }
};

GType
pgm_text_gravity_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextGravity", _pgm_text_gravity_values);

  return type;
}

static const GEnumValue _pgm_text_stretch_values[] = {
  { PGM_TEXT_STRETCH_CONDENSED, "PGM_TEXT_STRETCH_CONDENSED", "condensed" },
  { PGM_TEXT_STRETCH_NORMAL, "PGM_TEXT_STRETCH_NORMAL", "normal" },
  { PGM_TEXT_STRETCH_EXPANDED, "PGM_TEXT_STRETCH_EXPANDED", "expanded" },
  { 0, NULL, NULL }
};

GType
pgm_text_stretch_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextStretch", _pgm_text_stretch_values);

  return type;
}

static const GEnumValue _pgm_text_style_values[] = {
  { PGM_TEXT_STYLE_NORMAL, "PGM_TEXT_STYLE_NORMAL", "normal" },
  { PGM_TEXT_STYLE_OBLIQUE, "PGM_TEXT_STYLE_OBLIQUE", "oblique" },
  { PGM_TEXT_STYLE_ITALIC, "PGM_TEXT_STYLE_ITALIC", "italic" },
  { 0, NULL, NULL }
};

GType
pgm_text_style_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextStyle", _pgm_text_style_values);

  return type;
}

static const GEnumValue _pgm_text_variant_values[] = {
  { PGM_TEXT_VARIANT_NORMAL, "PGM_TEXT_VARIANT_NORMAL", "normal" },
  { PGM_TEXT_VARIANT_SMALL_CAPS, "PGM_TEXT_VARIANT_SMALL_CAPS", "small-caps" },
  { 0, NULL, NULL }
};

GType
pgm_text_variant_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextVariant", _pgm_text_variant_values);

  return type;
}

static const GEnumValue _pgm_text_weight_values[] = {
  { PGM_TEXT_WEIGHT_LIGHT, "PGM_TEXT_WEIGHT_LIGHT", "light" },
  { PGM_TEXT_WEIGHT_NORMAL, "PGM_TEXT_WEIGHT_NORMAL", "normal" },
  { PGM_TEXT_WEIGHT_BOLD, "PGM_TEXT_WEIGHT_BOLD", "bold" },
  { 0, NULL, NULL }
};

GType
pgm_text_weight_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmTextWeight", _pgm_text_weight_values);

  return type;
}

static const GFlagsValue _pgm_text_shadow_position_values[] = {
  { PGM_TEXT_SHADOW_NORTH, "PGM_TEXT_SHADOW_NORTH", "north" },
  { PGM_TEXT_SHADOW_SOUTH, "PGM_TEXT_SHADOW_SOUTH", "south" },
  { PGM_TEXT_SHADOW_WEST, "PGM_TEXT_SHADOW_WEST", "west" },
  { PGM_TEXT_SHADOW_EAST, "PGM_TEXT_SHADOW_EAST", "east" },
  { PGM_TEXT_SHADOW_NORTH_WEST, "PGM_TEXT_SHADOW_NORTH_WEST", "north-west" },
  { PGM_TEXT_SHADOW_NORTH_EAST, "PGM_TEXT_SHADOW_NORTH_EAST", "north-east" },
  { PGM_TEXT_SHADOW_SOUTH_WEST, "PGM_TEXT_SHADOW_SOUTH_WEST", "south-west" },
  { PGM_TEXT_SHADOW_SOUTH_EAST, "PGM_TEXT_SHADOW_SOUTH_EAST", "south-east" },
  { 0, NULL, NULL }
};

GType
pgm_text_shadow_position_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmTextShadowPosition", _pgm_text_shadow_position_values);

  return type;
}


/* enumerations from "./pgmviewport.h" */
#include "./pgmviewport.h"
static const GEnumValue _pgm_viewport_cursor_values[] = {
  { PGM_VIEWPORT_LEFT_ARROW, "PGM_VIEWPORT_LEFT_ARROW", "left-arrow" },
  { PGM_VIEWPORT_INHERIT, "PGM_VIEWPORT_INHERIT", "inherit" },
  { PGM_VIEWPORT_NONE, "PGM_VIEWPORT_NONE", "none" },
  { 0, NULL, NULL }
};

GType
pgm_viewport_cursor_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmViewportCursor", _pgm_viewport_cursor_values);

  return type;
}

static const GFlagsValue _pgm_viewport_capacity_values[] = {
  { PGM_VIEWPORT_HARDWARE_ACCELERATION, "PGM_VIEWPORT_HARDWARE_ACCELERATION", "hardware-acceleration" },
  { PGM_VIEWPORT_APPLICATION_EMBEDDING, "PGM_VIEWPORT_APPLICATION_EMBEDDING", "application-embedding" },
  { PGM_VIEWPORT_OPACITY, "PGM_VIEWPORT_OPACITY", "opacity" },
  { PGM_VIEWPORT_TOUCHPAD, "PGM_VIEWPORT_TOUCHPAD", "touchpad" },
  { PGM_VIEWPORT_X11_SYSTEM_BUFFER, "PGM_VIEWPORT_X11_SYSTEM_BUFFER", "x11-system-buffer" },
  { 0, NULL, NULL }
};

GType
pgm_viewport_capacity_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmViewportCapacity", _pgm_viewport_capacity_values);

  return type;
}

static const GEnumValue _pgm_viewport_rotation_values[] = {
  { PGM_VIEWPORT_ROTATION_NONE, "PGM_VIEWPORT_ROTATION_NONE", "none" },
  { PGM_VIEWPORT_ROTATION_90, "PGM_VIEWPORT_ROTATION_90", "90" },
  { PGM_VIEWPORT_ROTATION_180, "PGM_VIEWPORT_ROTATION_180", "180" },
  { PGM_VIEWPORT_ROTATION_270, "PGM_VIEWPORT_ROTATION_270", "270" },
  { 0, NULL, NULL }
};

GType
pgm_viewport_rotation_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmViewportRotation", _pgm_viewport_rotation_values);

  return type;
}

static const GEnumValue _pgm_viewport_reflection_values[] = {
  { PGM_VIEWPORT_REFLECTION_NONE, "PGM_VIEWPORT_REFLECTION_NONE", "none" },
  { PGM_VIEWPORT_REFLECTION_HORIZONTAL_FLIP, "PGM_VIEWPORT_REFLECTION_HORIZONTAL_FLIP", "horizontal-flip" },
  { PGM_VIEWPORT_REFLECTION_VERTICAL_FLIP, "PGM_VIEWPORT_REFLECTION_VERTICAL_FLIP", "vertical-flip" },
  { 0, NULL, NULL }
};

GType
pgm_viewport_reflection_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmViewportReflection", _pgm_viewport_reflection_values);

  return type;
}


/* enumerations from "./pgmlinearalgebra.h" */
#include "./pgmlinearalgebra.h"
static const GEnumValue _pgm_mat4x4_predefined_values[] = {
  { PGM_MAT4X4_FLIP_HORIZONTAL, "PGM_MAT4X4_FLIP_HORIZONTAL", "flip-horizontal" },
  { PGM_MAT4X4_FLIP_VERTICAL, "PGM_MAT4X4_FLIP_VERTICAL", "flip-vertical" },
  { PGM_MAT4X4_ROTATE_CLOCKWISE, "PGM_MAT4X4_ROTATE_CLOCKWISE", "rotate-clockwise" },
  { PGM_MAT4X4_ROTATE_COUNTER_CLOCKWISE, "PGM_MAT4X4_ROTATE_COUNTER_CLOCKWISE", "rotate-counter-clockwise" },
  { 0, NULL, NULL }
};

GType
pgm_mat4x4_predefined_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("PgmMat4x4Predefined", _pgm_mat4x4_predefined_values);

  return type;
}


/* enumerations from "./pgmimagesink.h" */
#include "./pgmimagesink.h"
static const GFlagsValue _pgm_image_sink_event_mask_values[] = {
  { PGM_IMAGE_SINK_MOTION, "PGM_IMAGE_SINK_MOTION", "motion" },
  { PGM_IMAGE_SINK_PRESSED, "PGM_IMAGE_SINK_PRESSED", "pressed" },
  { PGM_IMAGE_SINK_RELEASED, "PGM_IMAGE_SINK_RELEASED", "released" },
  { 0, NULL, NULL }
};

GType
pgm_image_sink_event_mask_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("PgmImageSinkEventMask", _pgm_image_sink_event_mask_values);

  return type;
}




